Subject: Re: linux-next: Fixes tags need some work in the drm-fixes tree

From: Daniel Vetter <[email-masked]>
Date: Fri, 21 Jun 2019 17:49:17 +0200

On Fri, Jun 21, 2019 at 02:45:45PM +0200, Philipp Zabel wrote:
> On Fri, 2019-06-21 at 21:41 +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > In commit
> > 
> >   912bbf7e9ca4 ("gpu: ipu-v3: image-convert: Fix image downsize coefficients")
> > 
> > Fixes tag
> > 
> >   Fixes: 70b9b6b3bcb21 ("gpu: ipu-v3: image-convert: calculate per-tile
> > 
> > has these problem(s):
> > 
> >   - Please don't split Fixes tags across more than one line
> > 
> > In commit
> > 
> >   bca4d70cf1b8 ("gpu: ipu-v3: image-convert: Fix input bytesperline for packed formats")
> > 
> > Fixes tag
> > 
> >   Fixes: d966e23d61a2c ("gpu: ipu-v3: image-convert: fix bytesperline
> > 
> > has these problem(s):
> > 
> >   - Please don't split Fixes tags across more than one line
> > 
> > In commit
> > 
> >   ff391ecd65a1 ("gpu: ipu-v3: image-convert: Fix input bytesperline width/height align")
> > 
> > Fixes tag
> > 
> >   Fixes: d966e23d61a2c ("gpu: ipu-v3: image-convert: fix bytesperline
> > 
> > has these problem(s):
> > 
> >   - Please don't split Fixes tags across more than one line
> > 
> 
> I was under the impression that dim would have found those, but I only
> just realized that "dim checkpatch" doesn't actually do any additional
> checks beyond scripts/checkpatch.pl. Fixes tags are checked only as a
> part of "dim push". I wonder if this could be changed [1].
> 
> [1] https://gitlab.freedesktop.org/drm/maintainer-tools/merge_requests/5

Officially we don't yet take pull requests (could try to change that, but
last time around it got nacked by Jani). Can you pls submit to dim-tools@
as patch?

Also, would be nice to run all the same checks we run at dim push time,
not just checking for Fixes tags.
-Daniel

> 
> regards
> Philipp
> _______________________________________________
> dri-devel mailing list
> [email-masked]
> https://lists.freedesktop.org/mailman/listinfo/dri-devel

-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch